package com.myketiab;

import com.facebook.react.ReactActivity;
import com.facebook.react.bridge.Callback;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;

public class MyketIapModule extends ReactContextBaseJavaModule {

    public static ReactApplicationContext reactApplicationContext;

    public MyketIapModule(ReactApplicationContext reactContext) {
        super(reactContext);
        reactApplicationContext = reactContext;
    }

    @Override
    public String getName() {
        return "MyketIap";
    }

    @ReactMethod
    public void initializeHelper(Callback listener, Callback broadcastOnReceived) {
        ReactActivity activity = (ReactActivity) reactApplicationContext.getCurrentActivity();
        MyketIap.getInstance(activity).initializeHelper(listener,broadcastOnReceived);
    }

    @ReactMethod
    public void launchPurchaseFlow(String skuString, int requestCode, Callback listener) {
        MyketIap.getInstance().launchPurchaseFlow(skuString, requestCode, listener);
    }

    @ReactMethod
    public void consumeAsync(String sku, Callback listener) {
        MyketIap.getInstance().consumeAsync(sku, listener);
    }

}